<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\Product\Http\Controllers\ProductController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/products',[ProductController::class,'productsList']);
Route::post('/add/product',[ProductController::class,'addProduct']);
Route::put('/change-capacity/{id}/product',[ProductController::class,'changeCapacityProduct']);
Route::get('/product/{id}',[ProductController::class,'showProduct']);
Route::delete('/delete/{id}/product',[ProductController::class,'deleteProduct']);